function [Res] = VectorFromPos(Pos, Size)
    % Generate the input vector from the position of the ones.
    AFirstRow = zeros(1, Size);
    for jdx=1:length(Pos)
        pos_val = Pos(jdx);
        if (pos_val <= 0)
            pos_val = 1;
        end        
        AFirstRow(pos_val) = 1;
    end
    
    Res = AFirstRow;
end
